Bug 248267 - NetworkManager should turn off the radio if wireless is disabled
NetworkManager should turn off the radio if wireless is disabled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 441994 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-14 15:15 EDT by Jason Merrill
Modified: 2009-10-16 18:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-16 18:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Merrill 2007-07-14 15:15:44 EDT
Description of problem:

I right-click on the NM icon and turn off wireless, but it doesn't disable the
wireless adapter.  I have to "ifconfig eth1 txpower off" separately to disable
the radio (saving ~4W of power).  I would like NetworkManager to handle that for me.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2008-04-10 16:48:23 EDT
So this is made more important because some wireless hardware (iwlwifi
specifically) can't receive rfkill interrupts when down, since the interrupts
are handled by the firmware which is only loaded when the card is IFF_UP.  So
instead of downing devices on rfkill or wireless-enabled, we should simply set
the txpower off instead and leave them up.  Drivers that don't support the
txpower setting need to be fixed anyway.
Comment 2 Dan Williams 2008-04-11 07:11:23 EDT
*** Bug 441994 has been marked as a duplicate of this bug. ***
Comment 3 Dan Williams 2008-04-28 00:36:18 EDT
As a note, we can't do this until we get some HAL additions to be able to check
hardware power state independently of soft power state.  Currently, if you
'txpower off' on some cards (mostly Intel) it looks to HAL and therefore NM like
a hardware killswitch has been thrown, and you cannot re-enable the device from
the menu because HAL/NM think its disabled in hardware.

We need to add a method to the HAL killswitch interface for GetHardwarePower().
Comment 4 Bug Zapper 2008-05-13 23:04:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 18:42:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Andrew Bartlett 2009-06-09 23:07:24 EDT
Network Manger does many great things, but as I understand it, it still can't turn off the radio.
Comment 7 Dan Williams 2009-10-16 18:33:04 EDT
It does; it sets the device down when you turn off wireless.  It's then the device's responsibility to consume power as appropriate when the driver knows that the device is unused.  That's the best we get until 2.6.32 where a sane rfkill framework has appeared.  At that point, we can at least try to rfkill stuff when you uncheck "enable wireless".  Before then, no.  But when the interface is down (which NM does when you disable wireless), the driver is free to unload firmware and powersave.

Note You need to log in before you can comment on or make changes to this bug.